Loading...
Searching...
No Matches
PyTimestepContextBase Class Referencefinal

`#include <py_solver.h>`

Inheritance diagram for PyTimestepContextBase:
[legend]
Collaboration diagram for PyTimestepContextBase:
[legend]

## Public Member Functions

std::vector< std::tuple< std::string, std::string > > | describe () const override
| Describe the context for callback functions.
Public Member Functions inherited from gridfire::solver::TimestepContextBase
virtual | ~TimestepContextBase ()=default

## Member Function Documentation

## describe()

std::vector< std::tuple< std::string, std::string > > PyTimestepContextBase::describe | ( |  | ) | const

nodiscardoverridevirtual

Describe the context for callback functions.

Returns
  A vector of tuples, each containing a string for the parameters name and a string for its type.

This method should be overridden by derived classes to provide a description of the context that will be passed to the callback function. The intent of this method is that an end user can investigate the context that will be passed to the callback function, and use this information to craft their own callback function.

Implements gridfire::solver::TimestepContextBase.

The documentation for this class was generated from the following files:

- src/python/solver/trampoline/py_solver.h
- src/python/solver/trampoline/py_solver.cpp